## 2.11.1

### Bug fixes
 - do not show thousands separator for price input fields of manual article to avoid string conversion errors 
 - toolbar language did not change immediately after switching the application language

## 2.11.0

### New features
 - added function to break up composite articles
 - it is now possible to change the reference currency for the exchange rates
 - an info text will be shown if an article price is based on exchange rates
 - external catalogs may specify a quantity when inserting OFML articles
 - added collapsible sections to article calculation information
 - added new `Show article numbers` catalog setting to the application settings (disabled by default)
 - added new `Open automatically in new quotes` catalog setting to the application settings
 - added support for OFML property choice values which are not selectable
 - introduced new `3D Quality` setting to support systems with slow GPU 

### Changes
 - article numbers for catalog items are not shown by default (can be enabled in application settings) 
 - article numbers starting with `@` are no longer shown in catalog
 - added validation for the report logo url

### Bug fixes
 - expand and collapse icons for calculation groups were mixed up
 - fixed missing article texts when multiple external articles where inserted at once
 - person in charge information was missing OEX export
 - sub article selection highlighting was not correct for large composite articles

### Breaking changes
 - EAIWS 4.14 is required now

## 2.10.1

### Integration Mode - Bug fixes
 - `restrictions` and `featureSet` configurations didn't have an effect

## 2.10.0

### New features
 - OEX export is now able to generate an order PDF
 - using the `Save as default` function now saves the selected report template as the default template
 - added support for predefined report attachments which can be defined in `settings.json`
 - adde new standardized property to defined the report template for ordering in `settings.json`
 - news will be shown in dashboard, can be disabled in `settings.json` using the `dashboardNewsEnabled` setting 

### Changes
 - removed `News` entry from main menu, the `Blog` entry in the `Help` section can be used intead
 - delay the loading spinner animation to prevent flickering
 - disabled browser autofill for address fields
 - more robust handling of item status and item description provider plugins to prevent potential issues

### Bug fixes
 - item and project calculation wasn't visible if the calculation was readonly
 - prevent error message when entering an invalid postal code
 - made app initialization more robust when loading custom plugins
 - fixed cut off property value text in case a scrollbar is shown
 - fixed image size of OAP action choice list
 - fixed wrong EAIWS session time zone

### Breaking changes
 - OCI export now uses the EAIWS OCI plugin (an OCI template has to be specified in `settings.json`)

## 2.9.1

### Bug fixes
 - fixed incorrect set article structure after moving items using drag & drop

## 2.9.0

### New features
 - added support for `OWDS` header and footer text blocks
 - its now possible to use the customer address data in the OEX order export dialog 
 - clicking on the property image now shows an overview with large property value images
 - set article sub items can be hidden in report for individual set articles
 - improved handling of manually added calculation conditions
 - CAD models can be downloaded for articles in the 3D view
 - `settings` url parameter can be used to load different settings json file 
 - a warning will be shown when opening an OBK file which was last saved using pCon.basket offline
 - improved default file name for exported OBK and OBX files
 - `What's new` information will be shown after an update if `whatsNewUrl` option is specified in `settings.json`

### Changes
 - the default article list image will be show in the `Images` tab if no user image was assigned
 - page break section of report is now open by default
 - `OWDS` is now used as file storage for sending reports and error data
 - errors during article update/migration are now collected and shown at the end of the process
 - list of available OFML packages is now included in the error report
 - report page breaks are now based on the item position number instead of the item id
 - updated to Material Design Icons 6.9.96
 - updated to W-CF 8.4.1

### Bug fixes
 - fixed error message during article configuration if selection was changed very quickly
 - fixed a keyboard navigation issue in catalog
 - fixed PI-API content type handling
 - prevent page reload when pressing `F5` if an input field in the article list is currently focused
 - migration of old projects wasn't correct for person in charge header data 
 - it was not possible to clear/reset the country and region address field
 - refresh report button wasn't shown if basket changed while report tab was active
 - changing the sign of calculation values didn't work correctly in case of a multi selection 
 - do not close the article number input dialog if the article list scrolls
 - prevent editing of calculation sub totals in basket CE 

### Breaking changes
 - EAIWS 4.13 is required now

## 2.8.1

### Bug fixes
 - added missing report page breaks options
 - fixed handling of errors during report generation
 - loading animation was overlaying error messages

## 2.8.0

### New features
 - the default quote validity for new quotes can now be defined in the application settings
 - show article number suggestions when inserting articles by article number
 - folder and text items may have a long text
 - added support for header and footer text blocks which can be defined in `settings.json`
 - added support for pseudo, non-offer and non-order OFML aticles
 - added support for high resolution OFML property images
 - removed report view `Parts list (with hierarchy)` and added `Flat list` view instead
 - added support for compact report views
 - added support for FOP based report templates
 - added support for OAP 1.4
 - application name stored inside exported OEX can be configured now using the `appName` setting, see `plugins/projectOrder/README.md` 

### Changes
 - the `Summarized` view is now the default view for reports
 - show privacy warning before playing YouTube videos
 - show error message if fetching ofml article properties fails
 - show placeholder text for editable ofml string properties with empty value
 - alternative/optional items are no longer ignored when operating on the calculation of a multi selection
 - improved text/explanation which is shown to the user during article migration
 - updated to W-CF 8.3.0

### Bug fixes
 - no longer ignore price conditions with 0% amount
 - it was not possible to add consecutive spaces to the project header and footer text
 - text items will now be printed in merged reports
 - prevent insertion of duplicate articles when inserting article by article number
 - it was not possible to enter a line break in text field OFML properties

### Breaking changes
 - it is no longer possible to define custom page breaks for reports
 - EAIWS 4.12 rc 1 is required now
 - increased version of `wbk-sharedlib` to 21, plugins have to be updated

### Integration Mode - Changes
 - increased timeout for `wbk.configuration` message from 30 to 60 seconds

### Integration Mode - Bug fixes
 - hide the "Done" button in case an error occurred during startup
 
## 2.7.1

### Changes
 - updated translations

### Bug fixes
 - fixed error when trying to use an owds template (or a template with a key starting with a digit)

## 2.7.0

### New features
 - added PI-API v3.2 support
 - added support for summarized reports
 - added support for optional items
 - screenshots can be created from the 3D view which can be downloaded or used for the article list
 - its now possible to add notes to article list items
 - added the possiblity to insert articles by entering the article number
 - OEX dealer export optionally exports purchase and/or sales discounts
 - improved handling and visualization of calculation errors
 - keyboard shortcuts to open catalog (F6) and insert set article (F7)
 - application can be started with an external file using the `file_open_url` url parameter (see also new `fileOpenActivity` setting)
 - reports, images and videos can be shared using the share dialog of the operating system (currently not supported in Firefox)
 - added `Contact support` function to main menu 
 - report templates can be sorted using the `egr_ui_sortWeight` property in the template definition
 - added support gatekeeper application id

### Changes
 - property surcharges will not be shown during article configuration if point of sale mode is enabled
 - nested set articles are no longer automatically converted backt to folders, e.g when pasting a set article into another set article
 - remove focus from label and quantity input field in item list after pressing ENTER
 - changed layout of customer data to highlight the `Search Customer` button
 - changed label of address field "Name / Company" to  "Name / Company / Department"
 - special model information will be shown for folders in case if it is not empty
 - item text fields (e.g. `Special Model Information`) are automatically increasing the size depending on the text content
 - redesign of document information dialog
 - updated to Material Design Icons version 6.5.95
 - updated to W-CF 8.1.0

### Bug fixes
 - configurating multiple articles from different series of the same manufacturer is now supported
 - it was not possible to reset the "valid to" date in the quote header data
 - clearing the catalog search did not work using the clear button
 - value of length properties are now correctly displayed using the length unit of the application
 - wrong currency was used for calculation lines without a valid value  
 - fixed CORS network error when using a PIM designer photo as an article image
 - prevent error when entering quote keywords with invalid characters
 - it is now possible to use PIM images which do not contain a file extension as an article image
 - ignore PIM images with unsupported content-type to prevent errors
 - downscale large PIM images to prevent performance issues
 - fixed keyboard event handling issues
 - fixed incorrect last modified date of generated OEX order zip file
 - it was possible to use the catalog even if the quote was readonly
 - it was possible to use the `Duplicate Main Address` button in the customer data even if the quote was readonly

### Breaking changes
 - EAIWS 4.11 is required now
 
## 2.6.5

### New features
 - added norwegian language as available application language

### Changes
 - updated translations

## 2.6.4

### Bug fixes
- update to W-CF 8.0.3 to fix WebGL 2 errors in Chrome and Edge version >= 97

## 2.6.3

### Integration Mode - Bug fixes 
 - update to W-CF 8.0.2 to fix wrong typescript typings of eaiws bundle

## 2.6.2

### Bug fixes
 - username and password couldn't be entered in login dialog

## 2.6.1

### Bug fixes
 - do not show OWDS templates in basket CE
 - disabled browser auto translate for whole basket
 - fixed translation errors

## 2.6.0

### New features
 - property display mode can be configured in the context menu of the property editor
 - improved display of property value surcharges in property editor
 - stored report settings can now be deleted with the `Delete Defaults` button 
 - added support for report templates which are provided from `OWDS` web service
 - keyboard shortcuts for folder (F3), user article (F4) and text item (F5) creation
 - keyboard shortcuts will be shown as tooltips
 - selection based OBX export
 - added new images tab to item properties which allows to assign up to 10 additional images to an item
 - OEX export optionally exports article images
 - Person in charge address may be used as main address for OEX dealer export
 - OCI export also exports `Special Model Information` and `Additional Text`
 - article catalog search now shows the package name for the found articles
 - Document Information window includes an manufacturer overview
 - manufacturer selection of oex dealer export may be disabled by plugin settings (see `plugins\projectOrder\README.md`)
 - oex dealer export now supports OEX delivery to a predefined e-mail (see `plugins\projectOrder\README.md`)
 - `pcon_login_url` URL parameter can be used to change the `pCon.login` endpoint
 - `owds_url` URL parameter can be used to change the `OWDS` endpoint
 - `exportInvisibleFeatures` setting of `projectExport-oexDealer` and `projectOrder` plugin can be used to disable export of invisible features 

### Changes
 - removed integrated help, external help website will be used now
 - increased size of quantity column in item list
 - updated to Material Design Icons version 6.1.95
 - updated to W-CF 8.0.0

### Bug fixes
 - fixed discrepancy in VAT calculation because of rounding errors
 - stored article image of partial plannings wasn't loaded from obk
 - about dialog didn't update after changing the application language
 - changes to the camera view for article images weren't applied immediately
 - header calculation was locked even if the calculation of an item was not locked
 - adjusting the price calculation of all sub items of a single selected folder was not possible
 - changing the visibility of an item list column wasn't stored in the obk because of an error 
 - PIM image thumbnail generation didn't work in some case
 - resetting the report logo now correctly restores the default logo
 - fixed error in handling of nested lists in front and end text 

### Breaking changes
 - EAIWS 4.10 rc 2 is required now
 - Internet Explorer 11 is no longer supported
 - because of major version change of the plugin API, all plugins have to be updated otherwise they will be ignored

## 2.5.0

### New features
 - added price date support (can be disabled in `settings.json`)
 - catalog can be opened from item context menu 
 - dashboard functions are now directly accessible from an opened quote in the main menu 
 - added support for HTML resources in OFML catalogs
 - a warning icon will be shown in the article list and tree for each inconsistent article or if the special model information text is not empty
 - the original manufacturer article description can now be used as the base for a custom article description
 - user articles may now have different currencies for the purchase and sales price
 - project picker for eaiws project database now remembers last used search/filter
 - item list and item tree scroll to first selected article after using the article selector
 - ID of the special model information text can now be configured in the application settings
 - OCI export will show a warning if the article list contains inconsistent articles
 - added PI-API v3.1 support
 - added optional compatibility mode for 3D representation to application settings
 - added norwegian, swedish and turkish as available quote languages
 - added romanian language as available application language
 - added predefined camera views to the 3D article view 
 - added email error reporting
 - added obk save button to toolbar for `New Project` and `Open Project` activity

### Changes
 - changed status icon of articles which can't be updated/configured because the matching OFML data is not available
 - split up configuration and texts of ofml articles into seperate tabs
 - special model information text is no longer available for text and folder items
 - increased size of file upload dialog
 - increased maximum width of property choice popup
 - values of editable properties in article configuration will be shown using the primary theme color (default blue)
 - percentage values of header and item calculation will be shown with maximum 2 decimal places
 - added additional information to error message in case of gatekeeper errors
 - renamed `Quote Language` in application settings to `Default Quote Language`
 - renamed `Quote Short/Long/Variant Text` of OFML Articles to `Customer Short/Long/Variant Text`
 - updated to W-CF 7.1.4

### Bug fixes
 - white spaces in article number weren't displayed correctly 
 - prevent article list from scrolling to top after using the context menu
 - date wasn't correctly formatted in email body when sharing report by email
 - long labels of items with editable label were shown to short in article list after loading  
 - hide condition type for manual conditions if user restriction `item/project.calculation.conditionType` is enabled
 - `Copy to Clipboard` button in about dialog didn't work in Safari browser 
 - fixed error in OEX dealer export if a manufacturer id starts with a number
 - condition descriptions should not be editable for header conditions on item level

### Breaking changes
 - EAIWS 4.9 rc 1 is required now

### Integration Mode - New features
 - added support for custom catalogs
 - an optional project save button can be shown in the basket ui

### Integration Mode - Changes
 - pending messages from integration host now have a timeout of 30 seconds

## 2.4.0

### New features
 - added support for OAP 1.2
 - improved quality of shadows for 3d product visualization
 - discounts can now be renamed also on item level in the calculation
 - its now possible to add missing ECO-Tax information to OFML articles (france tax scheme only)
 - ECO-Tax will be shown in item information window
 - a custom article description for ofml articles can be provided which is used for the quote
 - a list of available manufactures and series will be shown in a drop down for the manufacturer and series ID of user articles
 - the delete item confirmation dialog can be disabled in the application settings 
 - the length unit can be changed in the application settings (e.g. used for the article dimensions in the article configuration)
 - application settings are now stored cross browser if supported by the active user authentication plugin
 - added price condition plugin (disabled in default `settings.json`) 
 - the catalog may be opened automatically if a new quote is created or an empty quote was opened (has to be enabled in settings/configuration) 
 - items can now be exchanged between different basket instances using copy&paste
 - `pi_service_url` URL parameter can be used to change the product information endpoint

### Changes
 - UI improvements for qoute language selection
 - extra charges will be shown positive by default in the article/header calculation
 - folder sub totals are enabled by default for newly inserted folders
 - moved `Quote valid until` field from `Terms and Conditions` to the `Quote` tab
 - reorganized fields in the header data `Quote` tab
 - added some error details to the network error dialog
 - added "copy to clipboard" function to about dialog
 - show EAIWS version in about dialog
 - increased internal maximum session idle time from 4 to 9 hours
 - changing the front or end text in the quote header data didn't set the text for the undefined/fallback language
 - updated to W-CF 7.0.1
 - updated to plugin API (wbk-core) version `1.0.0`
 - updated to integration API version `1.0.0`

### Breaking changes
 - EAIWS 4.8 beta 7 is required now

### Bug fixes
 - fixed wrong scaling of company logo in the application bar 
 - ofml articles which are flagged as invisible are no longer shown in the catalog
 - reset amount button for calculation lines was shown in some cases even if the amount wasn't edited by the user
 - value of calculation lines without an amount was not shown
 - the application language was used to set the discount description instead of the quote language 
 - ensure that pending operations are completed before closing the quote
 - renaming an item in item tree/list didn't work if the `rename` context menu action was used
 - fixed wrong catalog scrolling behavior in MacOS Safari 
 - fixed multiple OEX 2.3 and OEX 3.0 issues

### Integration Mode - New features 
 - a confirmation dialog will be shown if the integration is finished/done and the article list contains inconsitent articles

### Integration Mode - Bug fixes
 - it was possible to use the "Done" button before the basket was ready which caused an error
 - wait until pending operations are finished after the "Done" button was pressed to prevent potential data loss
 - the `featureSet` option of the configuration message wasn't applied correctly if no user was defined

## 2.3.3

### New features
 - a fallback website can be shown in the catalog if no catalogs are available (see `catalog` plugin readme)

### Bug fixes
 - OEX orders should not contain alternative positions

## 2.3.2

### Bug fixes
 - OEX export didn`t export alternative positions correctly
 - fixed incorrect UTF-8 encoding of OEX if send via email

## 2.3.1

### Bug fixes
 - updated to W-CF 6.3.1 to fix issues related to copy&paste of items

## 2.3.0

### New features
 - added support for search in multiple catalogs (disabled by default, see README.md of `catalog` plugin)
 - the language of a quote can now be defined as part of the header data
 - the customer billing address is now available in the customer header data
 - a formatted front and end text can now be defined as part of the quote header data
 - selecting an article in the article list/tree will also mark all associated articles (OFML child articles)
 - calculation lines tagged with `INVISIBLE` will be hidden
 - calculation lines tagged with `PURCHASE_CALC` will be hidden if the purchase calculation is disabled
 - data language and front/end text of legacy projects will now be migrated
 - added `Update conditions` button to item calculation which updates the default condition amounts (disabled in default `settings.json`) 
 - added support for `Quote` and `Sampling` OEX types in the `Order` tab
 - report settings can now be defined in the application settings
 - plugin categories can be disabled in the application settings

### Changes
 - `Name` and `Street` in address form are now multi line text fields (4 lines for `Name` and 2 for `Street`)
 - renamed `Data Language` in application settings to `Qoute Language` which is now used as the initial language for new qoutes
 - clicking on the introduction message in the article list opens the catalog
 - catalogs are now sorted alphabetically
 - updated to Material Design Icons version 5.5.55
 - updated to plugin API (wbk-core) version `1.0.0-beta.3`
 - updated to integration API version `1.0.0-beta.3` 
 - updated to W-CF 6.3.0

### Breaking changes
 - EAIWS 4.8 beta 4 is required now
 - removed `showMargin` setting from `itemStatusBar` plugin, `project.calculation.margin` user restriction can be used instead
 - removed `templates` setting from `projectReport` plugin, use report application settings instead instead

### Bug fixes
 - header discounts/add charges of the item calculation showed wrong/outdated values
 - left and right arrow keys didn't work inside calculation input fields 
 - thumbnails for PIM documents were sometimes to big
 - OEX export didn't export the VAT
 - OEX export didn't export the special model information of an article correctly 
 - OEX export now uses `pCon.basket Online` as application name to be compatible with W-BK 1.0

## 2.2.1

### Changes
 - increased width of condition type column of calculation
 - updated translations

### Bug fixes
 - internal locale for czech language wasn't correct in settings dialog
 - use primary data language when creating a gatekeeper session to solve some encoding issues
 - "no articles" message was not correctly positioned in the article list (Chrome browser only)

## 2.2.0

### New features
 - added Danish application language 
 - added a status bar which shows a price summary for the quote 
 - added a point-of-sale mode
 - the value column of the calculation is now editable (if supported by calculation scheme, requires EAIWS 4.8) 
 - the margin of the calculation is now editable (if supported by calculation scheme, requires EAIWS 4.8) 
 - the total packaging volume and net weight will be shown in the document info dialog
 - added gray gradient background to 3D configuration view
 - the quantity of article can now also be changed in the properties tab
 - property classes in property editor are now collapsible
 - items like folders or texts can be renamed in the item tree
 - after inserting an item like folders or text its name will be selected automatically to allow direct renaming 
 - integrated a news feed linking to the pCon blog
 - show introduction message if article list is emtpy
 - Excel export
 - user can now decide how to handle folders when merging articles
 - PIM images can now be assigned to an item in the article list by using drag&drop
 - implemented session timeout handling
 - added support for multiline OFML text properties (requires EAIWS 4.8)
 - added support for URL resources in OFML catalogs 
 - added a help
 - added optional `customData` to application settings

### Changes
 - the price of the selected article is now only shown in the item information window, no longer in the bottom right of the basket window
 - property value icons in property editor will now be shown on the right side of each property
 - `Open Sans` is no longer used as font for the UI, the default font of the operating system is used instead
 - the currency of the total price is shown in the header of the article list instead of showing it for every item
 - functions `Send Report` and `Download Report` switched places
 - updated to plugin API (wbk-core) version `1.0.0-beta.2`
 - updated to integration API version `1.0.0-beta.2` 
 - updated to Material Design Icons version 5.2.45
 - updated to W-CF 6.1.1

### Breaking changes
 - the setting `application.name` was removed from the `settings.json`, please change the title in the `index.html` instead
 - the `wbk_utils` eaiws plugin is now required

### Bug fixes
 - do not show empty PIM categories
 - item context menu in article list often didn't show up for folder and text items in chrome browser
 - pim videos continued playing in the background after closing them
 - oap interactors were still available even if article was locked or project was readonly
 - loading animation was missing while performing OAP operations
 - saving the default exchange rate for the current project currency wasn't possible
 - fixed performance issue in IE11 in address forms

### Bug fixes - integration mode
 - re-inserted items were missing in the `SessionModifaction` structure
 - prevent error message if current browser locale has incorrect casing

## 2.1.0

### New features
 - added Italian, Portuguese and Spanish application language 
 - the packaging volume of articles will be shown in the item information window
 - the packaging volume of user articles can be defined in the article properties
 - added PIM service support to the item information window
 - external item numbers can be defined in article list
 - an abortable progress will be shown while updating ofml articles
 - an abortable progress will be shown while configurating multiple articles
 - removed 1 MB limit for uploaded article and report images, images will be resized automatically
 - usability improvements for header and item calculation
 - a message will be shown to the user if the opened project is readonly because of the current project state
 - new styling of the application bar
 - added support to store OEX order on server
 - added support to attach an PDF report to the OEX order
 - added support for migration of legacy project data
 - added an OCI export plugin (disabled by default)
 - added json based customer database plugin (disabled by default)

### Changes
 - the upload dialog is now moveable
 - increased size of project description and customer remarks textarea
 - removed length limitation of some address fields
 - renamed field `General Agreement Number` of customer to `Condition Number`
 - updated to plugin API (wbk-core) version `1.0.0-beta.1`
 - updated to integration API version `1.0.0-beta.1` 
 - update to Material Design Icons version 4.9.95
 - updated to W-CF 5.4.1

### Breaking changes
 - removed support for sending OEX order by using mail client 
 - default value of `appBarColor` application theme setting is now `#ffffff`

### Bug fixes
 - prevent user from entering invalid region codes in address form
 - user wasn't able to switch to a different `Header Data` tab directly after changing a text field value
 - saving the project in the project database failed after an obk export
 - item quantity was still editable in article list directly after the project was ordered 
 - article calculation containing variant prices for purchase and sales wasn't handled correctly
 - pricing procedures where the sales calculation is listed before the purchase calculation were not handled correctly
 - default report template settings were not applied after switching a template
 - changing the item label in the article list wasn't possible if the current label was empty
 - the item order was not correct after moving items (in some cases moving was not possible at all)
 - changing the item selection while editing an item text assigned the text to a wrong item  
 - diplayed update state of ofml articles in article tree wasn't always correct
 - prevent timeout error when updating many ofml articles 
 - the home button is no longer visible in integration mode

## 2.0.0

### New features
 - browser back button is now disabled, current activity can be stopped by using the home button in the menu
 - going back to dashboard automatically starts the default activity again if it is the only available activity
 - a default keep alive interval for the EAIWS session can be defined in the application settings
 - the application theme can be defined in the application settings (e.g. main color and font color)
 - added application settings dialog to main menu
 - improved handling of network errors while loading plugins
 - header of main tabs in project editor will not be shown if only one tab is available 
 - combined `Project`, `Customer` and `Currency and Taxes` tab in project editor to one `Header Data` tab
 - combined `Properties` and `Texts/User Article` tab in project editor
 - complete refactoring and restructuring of project header data 
 - show error message if a basket operation (inserting articles, deleting items, ...) fails
 - moved catalog button from bottom bar to toolbar
 - added `Merge Articles` function to article list
 - added reporting
 - added an `About` dialog to the main menu
 - article configuration can be started with double click in article tree and article list 
 - article list is now using a compact layout
 - changed property editor in article configuration to use a more compact layout (single line instead of two lines per property)
 - added support for OAP 1.0
 - added PEC import
 - added additional functions to article tree/list to move items
 - added support for folder sub totals
 - added support for user defined item images
 - added support for the eaiws project database
 - added support for additional/extra item texts
 - added support for keyboard navigation in catalog
 - added support for plugin API (wbk-core) version `1.0.0-alpha.4`
 - added support for integration API version `1.0.0-alpha.3` 

### Changes
 - update to Material Design Icons version 4.5.95

### Bug fixes
 - retrying failed network requests was sending too many requests
 - project name could be edited in readonly projects
 - deleting article list items with keyboard delete button didn't work in IE 11
 - article migration message during article configuration didn't disappear after migration of a sub article
 - prevent text overflow for catalog items if text is to long (show max 4 lines)
 - fixed mouse handling in item tree to prevent unintentional selection changes
 - fixed issues with formatting of numbers in calculation related input files
 - don't show article number and price for partial plannings

### Breaking changes
 - EAIWS 4.7 is required now
 - updated to W-CF 5.1.1 which introduces some breaking changes
 - the `qwest` library is no longer part of the distribution because its no longer required
 - `/libs/wcf/libs/core-js/shim.min.js` is now named `/libs/wcf/libs/core-js/minified.js`