import { EaiwsSession } from "@easterngraphics/wcf/modules/eaiws";
import * as session from "@easterngraphics/wcf/modules/eaiws/session";

export type UploadDialogProgressCallback = (pProgress: number | null, pAbortHandler?: () => void) => void;

export interface BaseUploadDialogOptions
{
    title?: string;
    multipleFiles?: boolean;
}


export interface UploadDialogOptions extends BaseUploadDialogOptions
{
    /** list of accepted file type e.g.: .jpg,.png */
    acceptedFiles?: string;

    /** maximum allowed file size in bytes */
    maxFileSize?: number;

    onUploadFiles: (pFiles: Array<File>, pSetProgressCallback: UploadDialogProgressCallback) => Promise<void>;

    /** Will be called if the selected files got rejected. */
    onFilesRejected?: (pRejectedFiles: Array<File>) => void;
}


export interface EaiwsSessionUploadDialogOptions extends BaseUploadDialogOptions
{
    session: EaiwsSession;
    fileType: session.SessionCacheFileType;
}