import React from "react";

interface BaseLoadingPanelProps extends React.ClassAttributes<LoadingPanel>
{
    /** if true the loading panel will show its loading animation */
    isLoading?: boolean;

    /** current progress [0,100] */
    progress?: number;

    /** If true the abort button will be disabled. (default: false) */
    disableAbort?: boolean;

    /** Additional css classes for the loading oerlay. */
    overlayClassName?: string;

    /** If defined an abort button will be displayed. */
    onAbort?: () => void;

    /** reference to the DOM div element of the loading panel */
    divRef?: React.Ref<HTMLDivElement>;
}
type DivProps = React.HTMLAttributes<HTMLDivElement>;

export type LoadingPanelProps = DivProps & BaseLoadingPanelProps;
export type LoadingPanel = new (props: LoadingPanelProps) => React.Component<LoadingPanelProps>;