import { ProjectInfo } from "@easterngraphics/wcf/modules/bsk";
import { Plugin } from "../Plugin";

export interface ProjectCustomerPickerOptions
{
    /**
     * Info object of the current project. The picker will assign the selected customer to this
     * ProjectInfo.
    */
    projectInfo: ProjectInfo;
}

/**
 * The ProjectCustomerPickerPlugin allows the user to select a customer.
 * - Plugin category = `ProjectCustomerPicker`
 */
export interface ProjectCustomerPickerPlugin extends Plugin
{
    /**
     * Opens the customer picker which enables the user to select a customer for the project.
     * Returns false if the user didn't select a customer.
     */
    pickCustomer(pOptions: ProjectCustomerPickerOptions): Promise<boolean>;
}
