const fs = require('fs');
const path = require('path');

let tPlugins = new Array();

//read plugin.json of all plugins
let tFolders = fs.readdirSync('./');
for (let tFolder of tFolders) {
    let tJsonPath = path.join(tFolder, 'plugin.json');
    if (fs.existsSync(tJsonPath)) {
        let tJsonString = fs.readFileSync(tJsonPath).toString();
        let tPluginJson = JSON.parse(tJsonString);

        tPluginJson.path = path.posix.join('plugins', tFolder); // add path
        tPlugins.push(tPluginJson);
    }
}

//write plugins.json
fs.writeFileSync('plugins.json', JSON.stringify(tPlugins));
console.log("Added " + tPlugins.length + " plugins to plugins.json.");