import { BasketItem } from "@easterngraphics/wcf/modules/bsk";
import { PluginDescriptor } from "../../plugin-sdk/wbk-core/Plugin";
import { InfoProvider, Information, InformationType } from "../../plugin-sdk/wbk-core/plugins/ItemInfoExtension";

import wbkApp = egr.wbkApp;

class PluginImpl implements InfoProvider
{
    public get name(): string
    {
        return ("examplePlugin-infoProvider");
    }

    public constructor()
    {
    }

    public async initialize(pDescriptor: PluginDescriptor, pSettings: unknown): Promise<void>
    {
    }

    public getItemInfoTypes(pItem: BasketItem): Array<InformationType> | null
    {
        return (["string", "text"]);
    }

    public async getItemInfo(pItem: BasketItem): Promise<Array<Information>>
    {
        return (new Promise<Array<Information>>((resolve) =>
        {
            //use timer to simulate asynchron function
            setTimeout(() =>
            {
                resolve([{
                    key: "examplePlugin-deliveryDate",
                    name: "Example Delivery Date",
                    value: (new Date(Date.now() + 604800000)).toLocaleDateString(), //now + 1 week
                    type: "string"
                },
                {
                    key: "examplePlugin-myText",
                    name: "Example Text",
                    value: "Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.",
                    type: "text"
                }]);
            }, Math.random() * 1000);
        }));
    }
}
wbkApp.pluginManager.registerPlugin(new PluginImpl());


