import { PluginDescriptor } from "../../plugin-sdk/wbk-core/Plugin";
import { EaiwsSession } from "@easterngraphics/wcf/modules/eaiws";
import { GetManufacturersOptions, Manufacturer, ManufacturerDatabase } from "../../plugin-sdk/wbk-core/plugins/ManufacturerDatabase";

import wbkApp = egr.wbkApp;

/** implementation of ManufacturerDatabase plugin interface */
class PluginImpl implements ManufacturerDatabase
{
    public get name(): string
    {
        return ("examplePlugin-manufacturerDatabase");
    }

    public async initialize(pDescriptor: PluginDescriptor, pSettings: unknown): Promise<void>
    {
    }

    public async getManufacturers(pSession: EaiwsSession, pOptions: GetManufacturersOptions): Promise<Array<Manufacturer>>
    {
        return ([
            {
                manufacturerId: "EXMAN1",
                manufacturerName: "My Manufacturer 1"
            },
            {
                manufacturerId: "EXMAN2",
                manufacturerName: "My Manufacturer 2",
                series: [
                    {
                        seriesId: "S1",
                        seriesName: "Series 1"
                    },
                    {
                        seriesId: "S2",
                        seriesName: "Series 2"
                    }
                ]
            }
        ]);
    }
}

//register plugin
wbkApp.pluginManager.registerPlugin(new PluginImpl());