import { PluginDescriptor } from '../../plugin-sdk/wbk-core/Plugin';
import { PluginComponent } from '../../plugin-sdk/wbk-core/PluginComponent';
import { ProjectPanelExtension } from '../../plugin-sdk/wbk-core/plugins/ProjectEditorExtension';
import { ProjectEditor } from '../../plugin-sdk/wbk-core/plugins/ProjectEditor';

import wbkApp = egr.wbkApp;


/** implementation of ProjectPanelExtension plugin interface */
class PluginImpl implements ProjectPanelExtension
{
    public get name(): string
    {
        return ("examplePlugin-projectPanel");
    }

    public async initialize(pDescriptor: PluginDescriptor, pSettings: unknown): Promise<void>
    {
    }

    public async createComponent(pEditor: ProjectEditor, pContainer: HTMLElement): Promise<PluginComponent>
    {
        //return new instance of our component implementation
        return (new Component(pEditor, pContainer));
    }
}


/** implementation of PluginComponent interface */
class Component implements PluginComponent
{
    public constructor(pEditor: ProjectEditor, pContainer: HTMLElement)
    {
        this.mContainer = pContainer;

        //add test button to container
        let tButton = document.createElement("button");
        tButton.innerText = "test button";
        tButton.onclick = () => alert("test button clicked");
        this.mContainer.appendChild(tButton);
    }


    public async dispose(): Promise<void>
    {
        //add clean-up code here
    }

    private mContainer: HTMLElement;
}


//register plugin
wbkApp.pluginManager.registerPlugin(new PluginImpl());