import React from "react";

export interface TextBlock
{
    /** Display name of the text block. */
    name: string;
    /** content of the text block. (Supported formats: plain text, EAIWS IML-JSON) */
    content: string;
}

export interface EaiwsRichTextEditorProps
{
    /** Label for the editor */
    label?: string;

    /** Current value of the editor. (Supported formats: plain text, EAIWS IML-JSON) */
    value?: string;

    /** Set to true if the editor should be read only. */
    readonly?: boolean;

    /** Set to true if the user should not be able to format the text. */
    disableFormatting?: boolean;

    /** custom css class for the editor */
    className?: string;

    /** List of predefined text blocks which may be inserted by the user. */
    textBlocks?: Array<TextBlock>;

    /** Change handler for the editor. */
    onChange?: (pNewValue: string) => void;
}
export type EaiwsRichTextEditor = new (props: EaiwsRichTextEditorProps) => React.Component<EaiwsRichTextEditorProps>;