export interface ProgressOverlayOptions
{
    /* Title of the progress */
    title: string;

    /** If defined an abort button will be displayed. */
    onAbort?: () => void;
}

export interface ProgressOverlay
{
    /** Current progress [0,100]. If null, an indeterminate progress will be shown. */
    progress: number | null;

    /** Custom progress text to be shown. */
    progressText: string | undefined;

    /** If true the abort button will be disabled. */
    disableAbort: boolean;

    /** Has to be called if the progress is no longer in use. */
    dispose(): void;
}