import { Plugin } from "../Plugin";
import { PluginComponent } from "../PluginComponent";

export interface AppSettingsPanel extends PluginComponent
{
    /** Will be called if the user pressed the `OK` button of the application settings dialog. */
    applySettings(): Promise<void>;

    /** Will be called if the user pressed the `Cancel` button of the application settings dialog. */
    discardSettings(): Promise<void>;
}

/**
 * Plugin which is used to add additional settings to the application settings dialog.
 * - Plugin category = `AppSettingsPanel`
 */
export interface AppSettingsPanelPlugin extends Plugin
{
    createComponent(pContainer: HTMLElement): Promise<AppSettingsPanel>;
}
